$schema: http://support.riverbed.com/apis/service_def/2.2
description: NPM Packet Dissect API
id: http://support.riverbed.com/apis/npm.packet_dissect/1.4
name: npm.packet_dissect
provider: riverbed
resources:
  dissect_params:
    additionalProperties: false
    description: Get/Modify global packet dissect settings
    links:
      get:
        method: GET
        response:
          $ref: '#/resources/dissect_params'
      self:
        path: $/dissect_params
      set:
        method: PUT
        request:
          $ref: '#/resources/dissect_params'
        response:
          $ref: '#/resources/dissect_params'
    properties:
      capwap:
        description: Enable/disable CAPWAP traffic detection and CAPWAP inner packet
          analysis
        type: boolean
      capwap_ports:
        default: '5247'
        description: Comma separated list of UDP ports used for CAPWAP traffic monitoring
        type: string
      geneve:
        description: Enable/disable GENEVE traffic detection and GENEVE inner packet
          analysis
        type: boolean
      geneve_ports:
        default: '6081'
        description: Comma separated list of UDP ports used for GENEVE traffic monitoring
        type: string
      gre:
        description: Enable/disable GRE traffic detection and GRE inner packet analysis
        type: boolean
      gtp:
        description: Not supported. Enable/disable GTP traffic detection and GTP inner
          packet analysis
        type: boolean
      lisp:
        description: Not supported. Enable/disable LISP traffic detection and LISP
          inner packet analysis
        type: boolean
      mac_in_mac:
        description: Enable/disable MAC in MAC traffic detection and MAC in MAC inner
          packet analysis
        type: boolean
      mpls_level:
        default: 1
        description: Position from bottom of the MPLS label stack to be used. Values
          start from 1 (bottom of the stack) and increase up to 10. The special value
          0 means top of the stack
        tags:
          cpptype: uint8
        type: integer
      use_ip_len_for_slicing:
        description: Use the IP length to estimate the orginal length of truncated
          packets
        type: boolean
      vlan_level:
        default: 1
        description: Position from the bottom of the VLAN header array to be used.
          Values start from 1 and increase up to 255
        tags:
          cpptype: uint8
        type: integer
      vxlan:
        description: Enable/disable VXLAN traffic detection and VXLAN inner packet
          analysis
        type: boolean
      vxlan_port:
        default: 4789
        description: UDP port used for VXLAN traffic monitoring
        tags:
          cpptype: uint16
        type: integer
    type: object
title: NPM Packet Dissect
version: '1.4'
